Subject: Winsock.h compilation error
From: [email-masked]

30 Aug 1997 14:12:32 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Sender: [email-masked]

I can't figure this out.  I'm trying to compile a program which includes the
winsock.h header file.  Here are the errors I get, followed by the
corresponding areas in winsock.h.
At first I thought it was the IN thing, which I was able to locate (I think)
and the file it's in says it's a "pseudo keyword"  #defined to nothing.  

You may be thinking, "gee, this guy's helpless."  
You are wise.

C:\mingw32\win32\include/winsock.h:843: syntax error before `SOCKET'
C:\mingw32\win32\include/winsock.h:855: syntax error before `SOCKET'
C:\mingw32\win32\include/winsock.h:868: syntax error before `PVOID'

BOOL
PASCAL FAR
TransmitFile (
    IN SOCKET hSocket,
                                                               [843]
    IN HANDLE hFile,
    IN DWORD nNumberOfBytesToWrite,
    IN DWORD nNumberOfBytesPerSend,
    IN LPOVERLAPPED lpOverlapped,
    IN LPTRANSMIT_FILE_BUFFERS lpTransmitBuffers,
    IN DWORD dwReserved
    );

BOOL
PASCAL FAR
AcceptEx (
   IN SOCKET sListenSocket,
                                                       [855]  
    IN SOCKET sAcceptSocket,
    IN PVOID lpOutputBuffer,
    IN DWORD dwReceiveDataLength,
    IN DWORD dwLocalAddressLength,
    IN DWORD dwRemoteAddressLength,
    OUT LPDWORD lpdwBytesReceived,
    IN LPOVERLAPPED lpOverlapped
    );

VOID
PASCAL FAR
GetAcceptExSockaddrs (
    IN PVOID lpOutputBuffer,
                                                      [868]    
    IN DWORD dwReceiveDataLength,
    IN DWORD dwLocalAddressLength,
    IN DWORD dwRemoteAddressLength,
    OUT struct sockaddr **LocalSockaddr,
    OUT LPINT LocalSockaddrLength,
    OUT struct sockaddr **RemoteSockaddr,
    OUT LPINT RemoteSockaddrLength
    );

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".